## org.apache.catalina.manager.util
Class ReverseComparator

    java.lang.Object
      org.apache.catalina.manager.util.ReverseComparator

All Implemented Interfaces:
  java.util.Comparator

    public class ReverseComparator

extends java.lang.Object
implements java.util.Comparator

Comparator which reverse the sort order

Author:
  Cédrik LIME

Field Summary
`protected java.util.Comparator` `comparator`

Constructor Summary
`ReverseComparator(java.util.Comparator comparator)`

Method Summary
`int` `compare(java.lang.Object o1, java.lang.Object o2)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Comparator
`equals`

Field Detail

### comparator

    protected java.util.Comparator comparator

Constructor Detail

### ReverseComparator

    public ReverseComparator(java.util.Comparator comparator)

Method Detail

### compare

    public int compare(java.lang.Object o1,
                       java.lang.Object o2)

  Specified by:
    `compare` in interface `java.util.Comparator`

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.